.token-launch-support-hero {
    background: url("../assets/img/token-launch-support-bg.png"), #f5f6fa;
    min-height: 700px;
    background-size: clamp(400px, 58vw, 920px), cover;
    background-repeat: no-repeat;
    background-position: right;
    padding: 100px 8px;
}

.token-launch-support__hero-wrapper {
    max-width: 536px;
}

.token-launch-support__title {
    font-family: "Nobile";
    font-weight: 500;
    font-size: 45px;
    line-height: 58px;
    letter-spacing: 2%;
    color: #101828;
}

.token-launch-support__subtitle {
    font-family: "Inter";
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0%;
    color: #667085;
    margin-bottom: 32px;
}

/* Token Launch Coverage Section */
.token-launch-support-coverage {
    padding: 80px 8px;
    background-color: #ffffff;
}

.token-launch-support-coverage__subtitle {
    color: #344054;
    margin: 0 auto;
}

.token-launch-support-coverage__card {
    margin-top: 44px;
    height: stretch;
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
    display: flex;
    flex-direction: column;
}

.token-launch-support-coverage__card:hover {
    transform: translateY(-4px);
}

.token-launch-support-coverage__card-title {
    font-family: "Nobile", serif;
    font-size: 24px;
    line-height: 32px;
    font-weight: 500;
    color: #101828;
    margin-bottom: 24px;
}

.token-launch-support-coverage__card-desc {
    font-family: "Inter", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    color: #344054;
    margin: 0;
}

/* .token-launch-support-coverage__card-img {
    box-shadow: 0px 8px 8px -4px #10182808;
    box-shadow: 0px 20px 24px -4px #10182814;
    border-radius: 12px;
} */

.help-build-items {
    margin-left: 20px;
}

.help-build-item {
    position: relative;
    font-family: "Inter";
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
}

.help-build-item::before {
    content: "";
    position: absolute;
    left: -15px;
    top: 8px;
    width: 6px;
    height: 6px;
    background-color: #4a5565;
    border-radius: 50%;
}

.token-launch-support-coverage__note {
    font-family: "Inter";
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    text-align: center;
    vertical-align: middle;
    color: #98a2b3;
    margin-top: 32px !important;
}

.token-launch-support__contact-desc {
    font-family: "Nobile";
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
    letter-spacing: 0%;
    text-align: center;
}

.token-launch-support-btn {
    font-family: "Inter";
    font-weight: 500;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0%;
    vertical-align: bottom;
    height: 60px;
}

/* Token Launch Order Section */
.token-launch-support-order {
    padding: 80px 8px;
    background-color: #f0f2f9;
}

.token-launch-support-order__card {
    background-color: #fff;
    padding: 32px 24px;
    border-radius: 24px;
    height: 100%;
    transition: transform 0.3s ease;
}

.token-launch-support-order__card:hover {
    transform: translateY(-4px);
}

.token-launch-support-order__card-title {
    font-size: 20px;
    line-height: 30px;
    font-weight: 700;
    margin-bottom: 8px;
    color: #101828;
}

.token-launch-support-order__card-desc {
    font-size: 16px;
    line-height: 1.5;
    color: #667085;
    margin: 0;
}

/* Token Launch Control Section */
.token-launch-support-control {
    background-color: #1570ef;
    padding: 100px 0 0;
}

.token-launch-support-control__content {
    padding: 0 8px;
    margin: 0 auto;
}

.token-launch-support-control__title {
    font-weight: 500;
    color: #fff;
    max-width: 614px;
}

.token-launch-support-control__subtitle {
    color: #fff;
    margin: 0 0 48px 0;
    max-width: 692px;
    margin-bottom: 32px;
}

.token-launch-support-control__list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-width: 496px;
}

.token-launch-support-control__item-title {
    font-family: "Inter";
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #fff;
}

.token-launch-support-control__item {
    display: flex;
    align-items: flex-start;
    gap: 16px;
    text-align: left;
}

.token-launch-support-control__check {
    width: 24px;
    height: 24px;
    min-width: 24px;
    min-height: 24px;
    margin-top: 2px;
    flex-shrink: 0;
}

.token-launch-support-control__item-text {
    font-family: "Inter", sans-serif;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    color: #b2ddff;
}

.team-control-bg {
    width: 100%;
    margin-top: -100px;
}

.token-launch-support-approach__title {
    font-weight: 500;
    color: #101828;
}

.token-launch-support-approach__cards {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 24px;
}

.token-launch-support-approach__card-title {
    font-family: "Inter";
    font-weight: 700;
    font-size: 20px;
    line-height: 30px;
    letter-spacing: 0%;
    vertical-align: middle;
}

.token-launch-support-approach__card {
    background-color: #fff;
    border: 1px solid #eaecf0;
    padding: 40px 32px 0;
    border-radius: 16px;
    position: relative;
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.token-launch-support-approach__card:hover {
    transform: translateY(-4px);
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.08);
}

.token-launch-support-approach__card-title {
    font-family: "Nobile", serif;
    font-size: 20px;
    line-height: 28px;
    font-weight: 600;
    color: #101828;
    margin-bottom: 12px;
}

.token-launch-support-approach__card-desc {
    font-family: "Inter", sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    color: #667085;
    margin: 0;
}

.token-launch-support-approach__conditions {
    background-color: #f5f7fc;
    padding: 48px 40px;
    border-radius: 16px;
    border-left: 4px solid #1570ef;
}

.token-launch-support-approach__process-flow {
    display: grid;
    grid-template-columns: 20px 1fr;
}

.token-launch-support-approach__process-dot-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1570ef1a;
    border-radius: 50%;
    width: 20px;
    height: 20px;
}

.token-launch-support-approach__process-dot {
    height: 12px;
    width: 12px;
    background: #1570ef;
    border-radius: 50%;
}

.token-launch-support-approach__process-dot {
    height: 12px;
    width: 12px;
    background: #1570ef;
    box-shadow: 0px 0px 0px 8px #1570ef1a;
    border-radius: 50%;
}

.token-launch-support-approach__process__card-title {
    font-family: "Inter";
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #101828;
    margin-left: 16px;
}

.token-launch-support-approach__process__card-desc {
    font-family: "Inter";
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #475467;
    margin: 8px 0 20px 16px;
}

.token-launch-support-approach__process-line {
    height: calc(100% + 16px);
    width: 2px;
    background: #1570ef;
    margin: -8px auto;
}

.last-card-line {
    height: calc(100% + 8px);
}

.token-launch-support-approach__conditions-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: auto 0;
}

.token-launch-support-approach__condition-item {
    display: flex;
    align-items: flex-start;
    gap: 16px;
    margin: 0;
}

.token-launch-support-approach__condition-bullet {
    display: inline-block;
    width: 12px;
    height: 12px;
    background-color: #1570ef;
    border-radius: 50%;
    flex-shrink: 0;
    margin-top: 8px;
}

.token-launch-support-approach__condition-text {
    font-family: "Inter";
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #101828;
}

.last-card-desc {
    margin-bottom: 35px;
}

/* Token Launch Plan Section */
.token-launch-support-launch {
    padding: 112px 8px;
    background-color: #f5f7fc;
}

.token-launch-support-launch__title {
    font-family: "Nobile", serif;
    font-size: 36px;
    line-height: 48px;
    font-weight: 500;
    color: #101828;
}

.token-launch-support-launch__steps {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
    flex-wrap: wrap;
}

.token-launch-support-launch__step {
    padding: 24px;
    background-color: #eaecf0;
    border-radius: 16px;
    border: 1px solid #eaecf0;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 16px;
    height: 100%;
}

.token-launch-support-launch__step-number {
    font-family: "Inter", serif;
    font-size: 20px;
    line-height: 1;
    font-weight: 700;
    color: #fff;
    background: #000;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.token-launch-support-launch__step-title {
    font-family: "Inter", sans-serif;
    font-size: 18px;
    line-height: 24px;
    font-weight: 600;
    color: #000;
    margin: 0;
}

.token-launch-support-approach {
    padding: 96px 8px;
}

@media (min-width: 1920px) {
    .token-launch-support-hero {
        background-position: 80% !important;
    }
}

@media (min-width: 2560px) {
    .token-launch-support-hero {
        background-position: 70% !important;
    }
}

@media (min-width: 3840px) {
    .token-launch-support-hero {
        background-position: 60% !important;
    }
}

@media (max-width: 1300px) {
    .token-launch-support__hero-wrapper {
        max-width: 474px;
    }

    .hero-section__btn--primary,
    .hero-section__btn {
        width: 75%;
        justify-content: center;
    }

}

@media (max-width: 1200px) {
    .team-control-bg {
        margin-top: -60px;
    }
}

@media (max-width: 992px) {
    .token-launch-support-coverage {
        padding: 40px 8px;
    }

    .token-launch-support-coverage__title {
        font-size: 32px;
        line-height: 42px;
    }

    .token-launch-support-coverage__subtitle {
        font-size: 16px;
        line-height: 24px;
    }

    .token-launch-support-coverage__card {
        padding: 0;
        margin-top: 0;
    }

    .token-launch-support-coverage__note {
        margin-top: 8px;
    }

    .token-launch-support-hero {
        background: #f5f6fa;
        padding: 80px 8px 0;
        align-items: center;
        justify-content: center;
    }

    .token-launch-support__hero-wrapper {
        max-width: unset;
    }

    .token-launch-support__title {
        font-size: 32px;
        line-height: 40px;
    }

    .token-launch-support__subtitle {
        font-size: 16px;
        line-height: 24px;
    }

    .token-launch-support-hero__mobile-bg {
        max-height: 360px;
        width: fit-content;
        margin: auto;
    }

    .token-launch-support-hero__mobile-bg-wrapper {
        overflow-x: hidden;
    }

    .token-launch-support__contact-title {
        font-family: "Inter";
        font-weight: 600;
        font-size: 24px;
        line-height: 32px;
        letter-spacing: 0%;
        text-align: center;
    }

    .token-launch-support__contact-desc {
        font-family: "Inter";
        font-weight: 400;
        font-size: 20px;
        line-height: 24px;
        letter-spacing: 0%;
        text-align: center;
    }

    .token-launch-support-btn {
        height: 44px;
    }

    .token-launch-support-order {
        padding: 40px 8px;
    }

    .token-launch-support-control {
        padding: 48px 0 0;
    }

    .team-control-bg {
        margin-top: 52px;
    }

    .token-launch-support-control__title {
        font-family: "Nobile", serif;
    }

    .token-launch-support-control__subtitle {
        font-size: 16px;
        line-height: 24px;
        margin-bottom: 24px;
    }

    .token-launch-support-approach__card-title {
        font-family: "Inter";
        font-size: 18px;
        line-height: 24px;
    }

    .token-launch-support-approach {
        padding: 40px 8px;
    }

    .token-launch-support-approach__title {
        font-size: 32px;
        line-height: 42px;
    }

    .token-launch-support-approach__conditions {
        padding: 32px 24px;
    }

    .token-launch-support-approach__cards {
        grid-template-columns: 1fr;
    }

    .token-launch-support-approach__title {
        font-family: "Nobile", serif;
    }

    .token-launch-support-approach__card {
        padding: 24px 16px;
    }

    .token-launch-support-approach__conditions-list {
        margin-left: 16px;
    }

    .token-launch-support-approach__process-flow {
        padding-bottom: 0;
    }

    .token-launch-support-launch {
        padding: 40px 8px;
    }

    .token-launch-support-launch__title {
        font-size: 32px;
        line-height: 42px;
    }

    .token-launch-support-launch__steps {
        padding: 32px 24px;
        gap: 16px;
    }

    .token-launch-support-launch__step {
        gap: 16px;
    }

    .hero-section__btn--primary,
    .hero-section__btn {
        width: 100%;
        justify-content: center;
    }
}

@media (max-width: 576px) {
    .token-launch-support-coverage {
        padding: 48px 8px;
    }

    .token-launch-support__actions,
    .token-launch-support__action-btn {
        width: 100%;
        justify-content: center;
    }

    .token-launch-support-hero__mobile-bg-wrapper {
        overflow-x: hidden;
        height: 300px;
        margin-top: 40px;
    }

    .token-launch-support-hero__mobile-bg {
        transform: scale(1.4);
        /* transform-origin: left top; */
    }
}

@media (max-width: 400px) {

    .first-card-line,
    .second-card-line {
        height: calc(100% + 36px);
        margin: -32px auto;
    }
}